unit Matfu;

interface
uses StdCtrls, SysUtils;
Type fun=Function(x:extended):extended;
 procedure Tabl(f:fun;Xk,Xn:extended;m:word;Mem1:TMemo);
implementation
  procedure Tabl;
   var x,y,h:extended;
       i:integer;
       begin
       x:=Xn;
       h:=(Xk-Xn)/m;
       for i:=1 to m+1 do begin
       y:=f(x);
    Mem1.Lines.Add('x='+FloatToStrf(x,fffixed,8,3)+
                   'y='+FloatToStrf(y,fffixed,8,3));
        x:=x+h;
                 end;
 end;
end.
